/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryStatusResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field repoType
     */
    private String repoType;

    /**
     * Field format
     */
    private String format;

    /**
     * Field localStatus
     */
    private String localStatus;

    /**
     * Field remoteStatus
     */
    private String remoteStatus;

    /**
     * Field proxyMode
     */
    private String proxyMode;

    /**
     * Field dependentRepos
     */
    private java.util.List dependentRepos;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addDependentRepo
     * 
     * @param repositoryDependentStatusResource
     */
    public void addDependentRepo(RepositoryDependentStatusResource repositoryDependentStatusResource)
    {
        if ( !(repositoryDependentStatusResource instanceof RepositoryDependentStatusResource) )
        {
            throw new ClassCastException( "RepositoryStatusResource.addDependentRepos(repositoryDependentStatusResource) parameter must be instanceof " + RepositoryDependentStatusResource.class.getName() );
        }
        getDependentRepos().add( repositoryDependentStatusResource );
    } //-- void addDependentRepo(RepositoryDependentStatusResource) 

    /**
     * Method getDependentRepos
     */
    public java.util.List getDependentRepos()
    {
        if ( this.dependentRepos == null )
        {
            this.dependentRepos = new java.util.ArrayList();
        }
        
        return this.dependentRepos;
    } //-- java.util.List getDependentRepos() 

    /**
     * Get null
     */
    public String getFormat()
    {
        return this.format;
    } //-- String getFormat() 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public String getLocalStatus()
    {
        return this.localStatus;
    } //-- String getLocalStatus() 

    /**
     * Get null
     */
    public String getProxyMode()
    {
        return this.proxyMode;
    } //-- String getProxyMode() 

    /**
     * Get null
     */
    public String getRemoteStatus()
    {
        return this.remoteStatus;
    } //-- String getRemoteStatus() 

    /**
     * Get null
     */
    public String getRepoType()
    {
        return this.repoType;
    } //-- String getRepoType() 

    /**
     * Method removeDependentRepo
     * 
     * @param repositoryDependentStatusResource
     */
    public void removeDependentRepo(RepositoryDependentStatusResource repositoryDependentStatusResource)
    {
        if ( !(repositoryDependentStatusResource instanceof RepositoryDependentStatusResource) )
        {
            throw new ClassCastException( "RepositoryStatusResource.removeDependentRepos(repositoryDependentStatusResource) parameter must be instanceof " + RepositoryDependentStatusResource.class.getName() );
        }
        getDependentRepos().remove( repositoryDependentStatusResource );
    } //-- void removeDependentRepo(RepositoryDependentStatusResource) 

    /**
     * Set null
     * 
     * @param dependentRepos
     */
    public void setDependentRepos(java.util.List dependentRepos)
    {
        this.dependentRepos = dependentRepos;
    } //-- void setDependentRepos(java.util.List) 

    /**
     * Set null
     * 
     * @param format
     */
    public void setFormat(String format)
    {
        this.format = format;
    } //-- void setFormat(String) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param localStatus
     */
    public void setLocalStatus(String localStatus)
    {
        this.localStatus = localStatus;
    } //-- void setLocalStatus(String) 

    /**
     * Set null
     * 
     * @param proxyMode
     */
    public void setProxyMode(String proxyMode)
    {
        this.proxyMode = proxyMode;
    } //-- void setProxyMode(String) 

    /**
     * Set null
     * 
     * @param remoteStatus
     */
    public void setRemoteStatus(String remoteStatus)
    {
        this.remoteStatus = remoteStatus;
    } //-- void setRemoteStatus(String) 

    /**
     * Set null
     * 
     * @param repoType
     */
    public void setRepoType(String repoType)
    {
        this.repoType = repoType;
    } //-- void setRepoType(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
