/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RoleListResourceResponse extends NexusResponse 
implements java.io.Serializable
{


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field data
     */
    private java.util.List data;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addData
     * 
     * @param roleResource
     */
    public void addData(RoleResource roleResource)
    {
        if ( !(roleResource instanceof RoleResource) )
        {
            throw new ClassCastException( "RoleListResourceResponse.addData(roleResource) parameter must be instanceof " + RoleResource.class.getName() );
        }
        getData().add( roleResource );
    } //-- void addData(RoleResource) 

    /**
     * Method getData
     */
    public java.util.List getData()
    {
        if ( this.data == null )
        {
            this.data = new java.util.ArrayList();
        }
        
        return this.data;
    } //-- java.util.List getData() 

    /**
     * Method removeData
     * 
     * @param roleResource
     */
    public void removeData(RoleResource roleResource)
    {
        if ( !(roleResource instanceof RoleResource) )
        {
            throw new ClassCastException( "RoleListResourceResponse.removeData(roleResource) parameter must be instanceof " + RoleResource.class.getName() );
        }
        getData().remove( roleResource );
    } //-- void removeData(RoleResource) 

    /**
     * Set null
     * 
     * @param data
     */
    public void setData(java.util.List data)
    {
        this.data = data;
    } //-- void setData(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
