/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryResource extends RepositoryBaseResource 
implements java.io.Serializable
{


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field allowWrite
     */
    private boolean allowWrite = false;

    /**
     * Field browseable
     */
    private boolean browseable = false;

    /**
     * Field indexable
     */
    private boolean indexable = false;

    /**
     * Field notFoundCacheTTL
     */
    private int notFoundCacheTTL = 0;

    /**
     * Field repoPolicy
     */
    private String repoPolicy;

    /**
     * Field checksumPolicy
     */
    private String checksumPolicy;

    /**
     * Field downloadRemoteIndexes
     */
    private boolean downloadRemoteIndexes = false;

    /**
     * Field overrideLocalStorageUrl
     */
    private String overrideLocalStorageUrl;

    /**
     * Field defaultLocalStorageUrl
     */
    private String defaultLocalStorageUrl;

    /**
     * Field remoteStorage
     */
    private RepositoryResourceRemoteStorage remoteStorage;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public String getChecksumPolicy()
    {
        return this.checksumPolicy;
    } //-- String getChecksumPolicy() 

    /**
     * Get null
     */
    public String getDefaultLocalStorageUrl()
    {
        return this.defaultLocalStorageUrl;
    } //-- String getDefaultLocalStorageUrl() 

    /**
     * Get null
     */
    public int getNotFoundCacheTTL()
    {
        return this.notFoundCacheTTL;
    } //-- int getNotFoundCacheTTL() 

    /**
     * Get null
     */
    public String getOverrideLocalStorageUrl()
    {
        return this.overrideLocalStorageUrl;
    } //-- String getOverrideLocalStorageUrl() 

    /**
     * Get null
     */
    public RepositoryResourceRemoteStorage getRemoteStorage()
    {
        return this.remoteStorage;
    } //-- RepositoryResourceRemoteStorage getRemoteStorage() 

    /**
     * Get null
     */
    public String getRepoPolicy()
    {
        return this.repoPolicy;
    } //-- String getRepoPolicy() 

    /**
     * Get null
     */
    public boolean isAllowWrite()
    {
        return this.allowWrite;
    } //-- boolean isAllowWrite() 

    /**
     * Get null
     */
    public boolean isBrowseable()
    {
        return this.browseable;
    } //-- boolean isBrowseable() 

    /**
     * Get null
     */
    public boolean isDownloadRemoteIndexes()
    {
        return this.downloadRemoteIndexes;
    } //-- boolean isDownloadRemoteIndexes() 

    /**
     * Get null
     */
    public boolean isIndexable()
    {
        return this.indexable;
    } //-- boolean isIndexable() 

    /**
     * Set null
     * 
     * @param allowWrite
     */
    public void setAllowWrite(boolean allowWrite)
    {
        this.allowWrite = allowWrite;
    } //-- void setAllowWrite(boolean) 

    /**
     * Set null
     * 
     * @param browseable
     */
    public void setBrowseable(boolean browseable)
    {
        this.browseable = browseable;
    } //-- void setBrowseable(boolean) 

    /**
     * Set null
     * 
     * @param checksumPolicy
     */
    public void setChecksumPolicy(String checksumPolicy)
    {
        this.checksumPolicy = checksumPolicy;
    } //-- void setChecksumPolicy(String) 

    /**
     * Set null
     * 
     * @param defaultLocalStorageUrl
     */
    public void setDefaultLocalStorageUrl(String defaultLocalStorageUrl)
    {
        this.defaultLocalStorageUrl = defaultLocalStorageUrl;
    } //-- void setDefaultLocalStorageUrl(String) 

    /**
     * Set null
     * 
     * @param downloadRemoteIndexes
     */
    public void setDownloadRemoteIndexes(boolean downloadRemoteIndexes)
    {
        this.downloadRemoteIndexes = downloadRemoteIndexes;
    } //-- void setDownloadRemoteIndexes(boolean) 

    /**
     * Set null
     * 
     * @param indexable
     */
    public void setIndexable(boolean indexable)
    {
        this.indexable = indexable;
    } //-- void setIndexable(boolean) 

    /**
     * Set null
     * 
     * @param notFoundCacheTTL
     */
    public void setNotFoundCacheTTL(int notFoundCacheTTL)
    {
        this.notFoundCacheTTL = notFoundCacheTTL;
    } //-- void setNotFoundCacheTTL(int) 

    /**
     * Set null
     * 
     * @param overrideLocalStorageUrl
     */
    public void setOverrideLocalStorageUrl(String overrideLocalStorageUrl)
    {
        this.overrideLocalStorageUrl = overrideLocalStorageUrl;
    } //-- void setOverrideLocalStorageUrl(String) 

    /**
     * Set null
     * 
     * @param remoteStorage
     */
    public void setRemoteStorage(RepositoryResourceRemoteStorage remoteStorage)
    {
        this.remoteStorage = remoteStorage;
    } //-- void setRemoteStorage(RepositoryResourceRemoteStorage) 

    /**
     * Set null
     * 
     * @param repoPolicy
     */
    public void setRepoPolicy(String repoPolicy)
    {
        this.repoPolicy = repoPolicy;
    } //-- void setRepoPolicy(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
