/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * 
 *                 The connections settings for an smtp server.
 *             
 * 
 * @version $Revision$ $Date$
 */
public class SmtpSettings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field host
     */
    private String host;

    /**
     * Field port
     */
    private int port = 0;

    /**
     * Field username
     */
    private String username;

    /**
     * Field password
     */
    private String password;

    /**
     * Field systemEmailAddress
     */
    private String systemEmailAddress;

    /**
     * Field sslEnabled
     */
    private boolean sslEnabled = false;

    /**
     * Field tlsEnabled
     */
    private boolean tlsEnabled = false;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public String getHost()
    {
        return this.host;
    } //-- String getHost() 

    /**
     * Get null
     */
    public String getPassword()
    {
        return this.password;
    } //-- String getPassword() 

    /**
     * Get null
     */
    public int getPort()
    {
        return this.port;
    } //-- int getPort() 

    /**
     * Get null
     */
    public String getSystemEmailAddress()
    {
        return this.systemEmailAddress;
    } //-- String getSystemEmailAddress() 

    /**
     * Get null
     */
    public String getUsername()
    {
        return this.username;
    } //-- String getUsername() 

    /**
     * Get null
     */
    public boolean isSslEnabled()
    {
        return this.sslEnabled;
    } //-- boolean isSslEnabled() 

    /**
     * Get null
     */
    public boolean isTlsEnabled()
    {
        return this.tlsEnabled;
    } //-- boolean isTlsEnabled() 

    /**
     * Set null
     * 
     * @param host
     */
    public void setHost(String host)
    {
        this.host = host;
    } //-- void setHost(String) 

    /**
     * Set null
     * 
     * @param password
     */
    public void setPassword(String password)
    {
        this.password = password;
    } //-- void setPassword(String) 

    /**
     * Set null
     * 
     * @param port
     */
    public void setPort(int port)
    {
        this.port = port;
    } //-- void setPort(int) 

    /**
     * Set null
     * 
     * @param sslEnabled
     */
    public void setSslEnabled(boolean sslEnabled)
    {
        this.sslEnabled = sslEnabled;
    } //-- void setSslEnabled(boolean) 

    /**
     * Set null
     * 
     * @param systemEmailAddress
     */
    public void setSystemEmailAddress(String systemEmailAddress)
    {
        this.systemEmailAddress = systemEmailAddress;
    } //-- void setSystemEmailAddress(String) 

    /**
     * Set null
     * 
     * @param tlsEnabled
     */
    public void setTlsEnabled(boolean tlsEnabled)
    {
        this.tlsEnabled = tlsEnabled;
    } //-- void setTlsEnabled(boolean) 

    /**
     * Set null
     * 
     * @param username
     */
    public void setUsername(String username)
    {
        this.username = username;
    } //-- void setUsername(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
